メインコンテンツへスキップ
POST
/
communication-preferences
/
2026-03
/
links
/
generate
配信登録リンクを生成
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/2026-03/links/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriberIdString": "<string>",
  "language": "<string>",
  "subscriptionId": 123
}
'
{
  "managePreferencesUrl": "<string>",
  "subscriberIdString": "<string>",
  "unsubscribeAllUrl": "<string>",
  "unsubscribeSingleUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

channel
enum<string>
必須

リンクが生成されるコミュニケーションチャネル。「EMAIL」である必要があります。

利用可能なオプション:
EMAIL
businessUnitId
integer<int64>
デフォルト:0

ビジネスユニットのID。指定しない場合、デフォルトは0です。

ボディ

application/json
subscriberIdString
string
必須

登録読者の固有IDを表す文字列。このプロパティーは必須です。

language
string

生成されたリンクを表示する言語で、文字列として表されます。

subscriptionId
integer<int64>

配信登録の固有ID。int64形式の整数として表されます。

レスポンス

successful operation

managePreferencesUrl
string
必須

登録読者がコミュニケーション設定を管理できるURL。

subscriberIdString
string
必須

購読者の一意の識別子を表す文字列。

unsubscribeAllUrl
string
必須

登録読者の全てのコミュニケーションを配信停止するためのURLを含む文字列。

unsubscribeSingleUrl
string

登録読者の単一のコミュニケーションを配信停止するためのURLを含む文字列。

Last modified on May 11, 2026